Package com.ocient.generated

# Class BuildInfo

java.lang.Object
com.ocient.generated.BuildInfo

public class BuildInfo extends Object
This class is rendered from a template at build time.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Optional<String>`
`BUILD_TIMESTAMP`
An ISO 8601 timestamp representing the time the build began.
`static final Optional<String>`
`BUILD_USER`
The system username of the user that invoked the build.
`static final Optional<String>`
`GIT_COMMIT_AUTHOR_EMAIL`
The email address of the author of the commit.
`static final Optional<String>`
`GIT_COMMIT_AUTHOR_NAME`
The name of the author of the commit.
`static final Optional<String>`
`GIT_COMMIT_SHORT`
An abbreviated git commit hash representing the contents of the build.
`static final Optional<String>`
`GIT_COMMIT_TIME`
An ISO 8601 timestamp representing the time indicated by the commit.
`static final Optional<String>`
`GIT_DIRTIED_COMMIT_SHORT`
An abbreviated git commit hash representing the contents of the build.

## Constructor Summary

Constructors
Constructor
Description
`BuildInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GIT_COMMIT_SHORT

public static final Optional<String> GIT_COMMIT_SHORT
An abbreviated git commit hash representing the contents of the build. (The full commit hash is fd1ca4ae21c7109f91fcf0465f7f52c34fdc4ede.)

### GIT_COMMIT_TIME

public static final Optional<String> GIT_COMMIT_TIME
An ISO 8601 timestamp representing the time indicated by the commit.

### GIT_COMMIT_AUTHOR_NAME

public static final Optional<String> GIT_COMMIT_AUTHOR_NAME
The name of the author of the commit.

### GIT_COMMIT_AUTHOR_EMAIL

public static final Optional<String> GIT_COMMIT_AUTHOR_EMAIL
The email address of the author of the commit.

### GIT_DIRTIED_COMMIT_SHORT

public static final Optional<String> GIT_DIRTIED_COMMIT_SHORT
An abbreviated git commit hash representing the contents of the build. (This file was rendered on a clean git commit, so this is omitted.)

### BUILD_USER

public static final Optional<String> BUILD_USER
The system username of the user that invoked the build. (This file was rendered on a clean git commit, so this is omitted.)

### BUILD_TIMESTAMP

public static final Optional<String> BUILD_TIMESTAMP
An ISO 8601 timestamp representing the time the build began. (This file was rendered on a clean git commit, so this is omitted.)

## Constructor Details

### BuildInfo

public BuildInfo()